
QGIS Application - Bug report #21302

Excessive vertical padding of categories in legend

2019-02-18 03:25 PM - Tomas Straupis

Status: Open

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.5(master) Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29120

Description

Category list in legend has excessive vertical padding (see attached image).

Steps to reproduce:

1. Create a new empty project.

2. Add new line layer (I've tried with postgis layer).

3. Set line symbolisation to the preset "effect neon" (red blurry line) (note: this is important, simply adding shining/halo effects does not

reproduce this bug).

4. Press ok (all lines are red neon, everything is fine).

5. Go back to symbolisation settings and change type of symbols from single symbol to categorised, choose column to categorise on,

press "classify" to get classifications, press ok.

6. Expand layer in legend (to display all categories).

7. I get excessive vertical padding.

Note, after saving and opening the project vertical padding of layer categories is ok, until anything is changed in symbolisation (say color

of halo).

History

#1 - 2019-02-18 03:39 PM - Giovanni Manghi

- Category changed from Symbology to Map Legend

#2 - 2019-03-04 12:55 AM - Warren Chase

This issue is also present in 3.0 onward for points and lines, shp and tab files - windows os. There is excessive horizontal spacing between symbol and

description too.
